package com.yuchen.saas.manage.system.api.feign;

import cn.hutool.core.lang.tree.Tree;
import com.yuchen.saas.manage.system.api.entity.*;
import com.yuchen.saas.manage.system.api.vo.MenuVO;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@Component
public class IAreaCodeClientFallback implements IAreaCodeClient {


    @Override
    public List<AreaCode> getAreaCode(Integer level, String parentCode) {
        return null;
    }

    @Override
    public List<Tree<String>> getAreaTree(Integer level) {
        return null;
    }
}
